@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;400;500;600;700&display=swap");

:root {
  --background-color: #171717;
  --Outline-color: #ff914d;
  --Outline-color2: #ca8059;
  --someGreen: #1fa67a;
  --outline-blue: #0088a9;
  --Darker: #232427;
  --veryWhite: #fff;
  --Pearlwhite: #fbfcf8;
  --snowWhite: #f8f8ff;
  --salt: #f8eeec;
  --killWhite: #f0f0f0;
  --h1FontSize: 35px;
  --h1FontSizeMedia: 20px;
  --h3FontSize: 14px;
}

.cta {
  border: none;
  background: none;
}
.cta svg {
  transform: translateX(-8px);
  transition: all 0.3s ease;
  margin-left: 8px;
}

.cta:hover svg {
  transform: translateX(0);
}

.cta:active svg {
  transform: scale(0.9);
}

.hover-underline-animation {
  position: relative;
  color: black;
  padding-bottom: 5px;
}
.cta span {
  color: black;
  padding-right: 10px;
  font-size: 11px;
  font-weight: 500;
}
.hover-underline-animation:after {
  content: "";
  position: absolute;
  width: 100%;
  transform: scaleX(0);
  height: 2px;
  bottom: 0;
  left: 0;
  background-color: var(--Outline-color);
  transform-origin: bottom right;
  transition: transform 0.25s ease-out;
}

.cta:hover .hover-underline-animation:after {
  transform: scaleX(1);
  transform-origin: bottom left;
}
header {
  width: 90%;
  height: fit-content;
  /* border: 1px solid #000; */
  margin: auto;
  transition: 0.3s linear;
}
header nav {
  width: 100%;
  height: fit-content;
  margin: 0px auto;
  /* border: 1px solid #000; */
  display: flex;
  align-items: center;
  justify-content: space-between;
}

header nav .right_bx {
  display: flex;
  align-items: center;
}

header nav .right_bx ul {
  list-style: none;
  display: flex;
  align-items: center;
}

header nav .right_bx ul li {
  padding: 3px 15px;
}

header nav .right_bx ul li a {
  text-decoration: none;
  color: rgb(2, 2, 2);
  font-size: 11px;
  font-weight: 500;
  transition: 0.3s linear;
}

header nav .right_bx ul li a:hover {
  color: var(--Outline-color);
}

header nav .right_bx .account_bx {
  display: flex;
  align-items: center;
  margin-left: 20px;
}

header nav .right_bx .account_bx .bi {
  margin-left: 15px;
  color: gray;
  cursor: pointer;
  transition: 0.3s linear;
}

header nav .right_bx .account_bx .bi:hover {
  color: #000;
}

@media screen and (max-width: 541px) {
  header nav .right_bx ul {
    position: absolute;
    width: 100%;
    height: auto;
    top: 50px;
    right: 0px;
    padding: 10px;
    z-index: 9999999999999;
    align-items: center;
    color: #fff;
    background-color: black;
    justify-content: center;
  }
  header nav .right_bx ul li {
    padding: 15px 10px;
  }
  header nav .right_bx ul li a {
    color: #000000;
  }
  header nav .right_bx ul li:nth-last-child(1) {
    border: none;
    border-radius: none;
    padding: 3px 14px;
  }
  header nav .right_bx ul li:nth-last-child(1) a {
    color: var(--Outline-color);
  }
  header nav {
    width: 100%;
    top: 0px;
  }

  .buttonHere {
    height: 40px;
  }
  .CardContainer {
    display: block;
    width: 100%;
    height: fit-content;
  }
  .parent {
    margin-top: 40px;
  }
}
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Poppins", sans-serif;
}

.logo {
  cursor: pointer;
  order: 3;
  margin-left: auto;
}

.buttonHere {
  color: white;
  display: flex;
  align-items: center;
  background-color: var(--Outline-color);
  width: auto;
  height: 60px;
  text-decoration: none;
  justify-content: center;
  display: flex;
  margin-top: 10px;
}
.Me {
  background-color: #000000;
  padding-top: 0px;
  color: var(--Darker);
}
.insideParent {
  height: 100%;
  width: 100%;
  display: flex;
  justify-content: center;
}

body {
}

.declarations {
  width: 330px;
  height: fit-content;
  background-color: var(--Darker);

  box-shadow: 0px 20px 60px #cfcfcf, 20px -20px 60px #ffffff;
}
.declarations2 {
  max-width: 40%;
  width: 280px;
  height: fit-content;
  background-color: var(--Darker);
  display: none;
}
.parent {
  height: 100vh;
  width: 100%;
  display: flex;
  justify-content: center;
  padding-top: 30px;
}

.container {
  max-width: 600px;
  margin-right: 10px;
  width: 50%;
  padding: 25px 30px;
  border-radius: 5px;
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.15);
  height: fit-content;
  border-radius: 50px;
  background: #ffffff;
  box-shadow: -20px 20px 60px #cfcfcf, 20px -20px 60px #ffffff;
}

.container .title {
  font-size: 25px;
  font-weight: 500;
  position: relative;
}

.container .title::before {
  content: "";
  position: absolute;
  left: 0;
  bottom: 0;
  height: 3px;
  width: 100%;
  border-radius: 5px;
  background: var(--Outline-color);
}

.content form .user-details {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  margin: 20px 0 1px 0;
}

form .user-details .input-box {
  margin-bottom: 15px;
  width: calc(100% / 2 - 20px);
  text-align: center;
}

form .input-box span.details {
  display: block;
  font-weight: 500;
  margin-bottom: 5px;
  text-align: center;
}

.user-details .input-box input {
  height: 45px;
  width: 100%;
  outline: none;
  font-size: 16px;
  border-radius: 5px;
  padding-left: 15px;
  border: 1px solid #ccc;
  border-bottom-width: 2px;
  transition: all 0.3s ease;
  text-align: center;
}

.user-details .input-box input:focus,
.user-details .input-box input:valid {
  border-color: var(--Outline-color);
}

form .gender-details .gender-title {
  font-size: 20px;
  font-weight: 500;
}

form .category {
  display: flex;
  width: 80%;
  margin: 14px 0;
  justify-content: space-between;
}

form .category label {
  display: flex;
  align-items: center;
  cursor: pointer;
}

form .category label .dot {
  height: 18px;
  width: 18px;
  border-radius: 50%;
  margin-right: 10px;
  background: #d9d9d9;
  border: 5px solid transparent;
  transition: all 0.3s ease;
}

#dot-1:checked ~ .category label .one,
#dot-2:checked ~ .category label .two,
#dot-3:checked ~ .category label .three {
  background: #9b59b6;
  border-color: #d9d9d9;
}

form input[type="radio"] {
  display: none;
}
.pict {
  height: 450px;
  width: 100%;
  background-color: var(--Darker);
  background-image: url("img/Logo.png");
  background-size: cover;
  background-position: center center;
  align-items: center;
}
form .button {
  height: 45px;
  margin: 35px 0;
}
.description {
  font-family: "Poppins", sans-serif;
  padding: 20px;
  text-align: center;
  margin-bottom: 20px;
}
form .button input {
  height: 100%;
  width: 185px;
  border-radius: 28px;
  border: none;
  color: #fff;
  font-size: 18px;
  font-weight: 500;
  letter-spacing: 1px;
  cursor: pointer;
  transition: all 0.3s ease;
  background-color: var(--Outline-color);
}

.containButton {
  display: flex;
  justify-content: center;
  align-items: center;
}

form .button input:hover,
.buttonHere button:hover {
  /* transform: scale(0.99); */
  background-color: var(--outline-blue);
}

@media (max-width: 584px) {
  .container {
    max-width: 100%;
  }

  form .button {
    height: 45px;
    margin: 15px 0;
  }

  #HideIt {
    display: none;
  }

  form .user-details .input-box {
    margin-bottom: 5px;
    width: 100%;
  }

  .user-details .input-box input {
    height: 35px;
    width: 100%;
  }

  form .category {
    width: 100%;
  }

  .content form .user-details {
    height: auto;
  }

  .user-details::-webkit-scrollbar {
    width: 5px;
  }
}

@media (max-width: 459px) {
  .container .content .category {
    flex-direction: column;
  }
}

/* Footer styling*/

.FooterContainer {
  max-width: 1170px;
  margin: auto;
}

.FooterRow {
  display: flex;
  flex-wrap: wrap;
}

ul {
  list-style: none;
}

.footer {
  background-color: #000000;
  padding: 70px 0;
}

.footer-col {
  width: 30%;
  padding: 0 35px;
}
.CardContainer {
  height: fit-content;
  display: flex;
  align-items: center;
  justify-content: center;
}

.footer-col h4 {
  font-size: 21px;
  color: var(--Outline-color);
  text-transform: capitalize;
  margin-bottom: 35px;
  font-weight: 500;
  text-align: center;
  position: relative;
}

.footer-col h4::before {
  content: "";
  position: absolute;
  left: 0;
  bottom: -10px;
  background-color: var(--shade);
  height: 2px;
  box-sizing: border-box;
  width: 50px;
}

.footer-col ul li:not(:last-child) {
  margin-bottom: 10px;
}

.footer-col ul li a {
  font-size: 16px;
  color: #ffffff;
  text-decoration: none;
  font-weight: 300;
  display: block;
  transition: all 0.3s ease;
}

.footer-col ul li a:hover {
  color: #ffffff;
  padding-left: 8px;
}

.footer-col .social-links a {
  display: inline-block;
  height: 40px;
  width: 40px;
  margin: 0 10px 10px 0;
  text-align: center;
  line-height: 40px;
  border-radius: 50%;
  color: #ffffff;
  transition: all 0.5s ease;
}

.footer-col .social-links a:hover {
  color: #24262b;
  background-color: #ffffff;
}

/*responsive*/
@media (max-width: 767px) {
  .footer-col {
    width: 50%;
    margin-bottom: 30px;
  }
}
@media only screen and (max-width: 816px) {
  .von {
    width: 200px;
    max-width: 100%;
    height: auto;
  }
  .parent {
    height: auto;
  }
  .CardContainer {
    margin: auto;
  }
  .container {
    width: 100%;
  }
  .pict {
    margin-top: 20px;
  }
  .declarations {
    margin: auto;
    width: 80%;
    height: auto;
  }

  .von {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
    background-color: var(--Darker);
  }
  .yeh {
    height: auto !important;
  }

  .insideParent {
    height: auto;
    display: block;
    padding: 15px;
    margin: auto;
  }
  .CardContainer {
    display: block;
    width: 100%;
    height: fit-content;
  }
  .von {
    width: fit-content;
    max-width: 100%;
    height: auto;
  }
}

@media (max-width: 574px) {
  .footer-col {
    width: 100%;
  }
  .pict {
    width: 200px;
  }
}
/* Combo */

.combo-box {
  position: relative;
  display: inline-block;
}

.combo-box select {
  appearance: none;
  width: 100%;
  -webkit-appearance: none;
  -moz-appearance: none;
  outline: none;
  border: 1px solid #ccc;
  padding: 8px 30px 8px 10px;
  font-size: 14px;
  border-radius: 4px;
  cursor: pointer;
  transition: border-color 0.3s ease-in-out;
  text-align: center;
}

.combo-box select::-ms-expand {
  display: none;
}

.combo-box select:hover {
  border-color: var(--Outline-color);
}

.combo-box select:focus {
  border-color: var(--Outline-color);
}

.combo-box select:hover,
.combo-box select:focus {
  box-shadow: 0 0 5px rgba(0, 0, 0, 0.1);
}
/* Combo end*/
